# ezQuake Manual: Miscellaneous Variables

- Config Management
- System Settings
- Unsorted Variables

## Config Management Variables

### cfg_backup

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Backs up your old config before overwriting it with cfg_save.
0 | No backup of your config.

### cfg_legacy_exec

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | Do not execute config.cfg and frontend.cfg in gamedir ever.
1 | Execute config.cfg and frontend.cfg in gamedir (unless gamedir = qw) like
2 | Execute config.cfg and frontend.cfg even if gamedir = qw.
3 | Execute config.cfg and frontend.cfg even if gamedir = qw.

qw 2.33. If there is no config.cfg or frontend.cfg in gamedir, and gamedir != qw then try executing config.cfg and frontend.cfg in qw.

### cfg_legacy_write

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Will write a small config.cfg to your gamedir when quitting just like qw
0 | Will not write config.cfg.

2.33.

### cfg_save_aliases

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | cfg_save saves aliases.
0 | Won't save aliases.

### cfg_save_binds

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Toggles whether cfg_save saves binds.
0 | Won't save binds.

### cfg_save_cmdline

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Writes your command line in configs made with cfg_save (commented out of
0 | Won't save command line.

course).

### cfg_save_cmds

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Saves commands.
0 | Won't save commands.

### cfg_save_cvars

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Saves variables.
0 | Won't save variables.

### cfg_save_sysinfo

#### Description

Not implemented yet.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### cfg_save_unchanged

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Makes cfg_save write all variables to the config file.
0 | Makes cfg_save only write variables that are not default valued to the

config file.

### cfg_save_userinfo

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

#### Values

value | description
0 | Makes cfg_save not save userinfo variables.
1 | Makes cfg_save save all userinfo variables except spectator/name/topcolor/bottomcolor/skin/team .
2 | Makes cfg_save save all userinfo variables like name/team/teamcolor/rate/msg/skin/w_switch/b_switch/... .

Note :'cfg_save_userinfo 1' is best for teamfortress so you don't get kicked for changing bottom color. Note : cfg_save will never save the password variable, even though technically it is a userinfo variable.

## System Settings Variables

### sys_disableWinKeys

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Disable winkeys from alt-tabbing you (only works in NT/2K/XP, and only when the client is in focus).
0 | Enable.

Note: Windows keys are now bindable (LWINKEY, RWINKEY, WINKEY, POPUPMENU). Obviously only useful on NT/2K/XP with sys_disableWinKeys 1 (and possibely useful in Linux too!).

### sys_highpriority

#### Description

-1 = Sets process to idle/low priority.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Sets process to high priority.
0 | Sets process to normal priority.

### sys_inactiveSleep

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable inactive sleeping.
0 | Prevent freeing of CPU when the client is minimized or not in focus.

### sys_yieldcpu

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Give more CPU for other programs.
0 | the client eats more CPU.

## Unsorted Variables Variables

### allow_f_cmdline

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Your client will respond to f_cmdline checks with your current command line used to run current ezQuake instance.
0 | Your client will not respond to f_cmdline checks.

### allow_f_system

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Your client will respond to f_system checks displaying your PC configuration.
0 | Your client will not respond to f_system checks.

### auth_validate

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | which performs the validation (but you need to use 'validate_clients'
0 | If you don't want your client to validate other ezQuake clients.

If you have 'auth_warninvalid 1' and someone gives a dirty hash in a version response (because they are using a hacked client that can't work out the right response), the client will print something like 'Warning Invalid Client: playername (userid)' in your console ('auth_warninvalid 0' is default).

### auth_warninvalid

#### Description

Check auth_validate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### cl_loadFragfiles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Enable displaying team fortress related statistics in the scoreboard (flag touches, steals, caps, etc)
0 | Disable.

### cl_parseFrags

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Enable displaying team fortress related statistics in the scoreboard (flag touches, steals, caps, etc)
0 | Disable.

### help_files_interline

#### Description

Adjust interlining of file list in /help filebrowser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### help_files_showdate

#### Description

Shows column displaying file last modification date in /help file browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### help_files_showsize

#### Description

Shows column displaying file size in /help file browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### help_files_showstatus

#### Description

Show quick info about selected help file in /help file browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### help_files_showtime

#### Description

Shows column displaying file last modification time in /help file browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### help_files_sortmode

#### Description

Switches sorting methods of files /help file browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### help_files_stripnames

#### Description

Strips filenames of help files.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_planmode

#### Description

Toggles special hud-editing mode where all hud elements are being displayed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Plan-mode on.
0 | Plan-mode off.

### hud_tp_need

#### Description

Toggles connection of tp_need_* variables with hud elements.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Numbers in HUD get red when they are lower than appropriate tp_need_* values.
0 | Numbers in HUD elements get red when below standard values.

E.g.: Use with 'tp_need_health 40' and your health indicator will display red numbers if your health is 40 or lower.

### keymap_name

#### Description

This holds the name of the current keymappings; it has (currently) only informational purposes. If no keymapping is active, it will contain the name "Default". If a keymapping will be active and no name has been set, "Custom" will be used as name. It can easily be set with "keymap_name <layoutname>"

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: Default

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz